Chart-0.16: A library for generating 2D Charts and Plots

Safe Haskell | None

Graphics.Rendering.Chart.Plot.Lines

Description

Line plots

Synopsis

- data PlotLines x y = PlotLines {
  - plot_lines_title_ :: String
  - plot_lines_style_ :: CairoLineStyle
  - plot_lines_values_ :: [[(x, y)]]
  - plot_lines_limit_values_ :: [[(Limit x, Limit y)]]
  }
- defaultPlotLines :: PlotLines x y
- defaultPlotLineStyle :: CairoLineStyle
- hlinePlot :: String -> CairoLineStyle -> b -> Plot a b
- vlinePlot :: String -> CairoLineStyle -> a -> Plot a b
- plot_lines_title :: forall x y. T (PlotLines x y) String
- plot_lines_style :: forall x y. T (PlotLines x y) CairoLineStyle
- plot_lines_values :: forall x y. T (PlotLines x y) [[(x, y)]]
- plot_lines_limit_values :: forall x y. T (PlotLines x y) [[(Limit x, Limit y)]]

# Documentation

data PlotLines x y Source

Value defining a series of (possibly disjointed) lines, and a style in which to render them.

Constructors

PlotLines |

Fields

plot_lines_title_ :: String
plot_lines_style_ :: CairoLineStyle
plot_lines_values_ :: [[(x, y)]]

  The lines to be plotted

plot_lines_limit_values_ :: [[(Limit x, Limit y)]]

  Additional lines to be plotted, specified using the Limit type to allow referencing the edges of the plot area.

Instances

ToPlot PlotLines |

defaultPlotLines :: PlotLines x ySource

defaultPlotLineStyle :: CairoLineStyle Source

hlinePlot :: String -> CairoLineStyle -> b -> Plot a bSource

Helper function to plot a single horizontal line.

vlinePlot :: String -> CairoLineStyle -> a -> Plot a bSource

Helper function to plot a single vertical line.

plot_lines_title :: forall x y. T (PlotLines x y) String Source

plot_lines_style :: forall x y. T (PlotLines x y) CairoLineStyle Source

plot_lines_values :: forall x y. T (PlotLines x y) [[(x, y)]]Source

plot_lines_limit_values :: forall x y. T (PlotLines x y) [[(Limit x, Limit y)]]Source